CVE-2024-27929

CVSS 3.1 Score 7.1 of 10 (high)

Details

Published Mar 5, 2024
Updated: Mar 6, 2024
CWE ID 416

Summary

A heap-use-after-free vulnerability, identified as CVE-2024-27929, has been discovered in the ImageSharp library. This vulnerability affects versions 3.1.2 and earlier, as well as version 2.1.6 and earlier of the library. The vulnerability is triggered when a specially crafted PNG image file is passed to ImageSharp for conversion, potentially leading to information disclosure. The issue has been patched in versions 3.1.3 and 2.1.7 of the library. The exploitability score for this vulnerability is 1.8, indicating a moderate risk level, with a base severity score of 7.1 out of 10 and high confidentiality impact potential for an organization using affected versions of ImageSharp library

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-27929 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options